Bug 1429819 - If some command in the job template reads from STDIN the job never finishes
Summary: If some command in the job template reads from STDIN the job never finishes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Remote Execution
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: Marek Hulan
QA Contact: Adam Ruzicka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-07 08:20 UTC by Ivan Necas
Modified: 2019-09-25 20:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:49:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 18003 0 None None None 2017-03-07 08:20:50 UTC

Internal Links: 1662704

Description Ivan Necas 2017-03-07 08:20:49 UTC
It's easy to write a template that would read from STDIN, e.g. following snippet hidden in a longer template

<pre>
grep something
</pre>

would cause indefinite job. The job can be cancelled but the eats resources by sending live updates while it does nothing. We should redirect STDIN to /dev/null when we run the script so such calls would end up with error.

Comment 1 Ivan Necas 2017-03-07 08:20:53 UTC
Created from redmine issue http://projects.theforeman.org/issues/18003

Comment 2 Ivan Necas 2017-03-07 08:20:57 UTC
Upstream bug assigned to mhulan

Comment 6 Adam Ruzicka 2017-08-02 13:26:02 UTC
Verified.
Satellite-6.3 Snap 9
Package versions:
satellite-6.3.0-16.0.beta.el7sat.noarch
tfm-rubygem-foreman_remote_execution-1.3.3-1.fm1_15.el7sat.noarch

1) Run "grep something" on a host
2) The job starts
3) The job ends with exit code 1 because grep could find something in empty input

Comment 7 Satellite Program 2018-02-21 16:49:54 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.